#pragma once
#include "Actors\Actor.h"
#include "FormTouchButtons.h"

class CellWarsMTManager;

class EndScreen : public Actor
{
public:
	EndScreen(CellWarsMTManager* useThisMTManager);
	virtual ~EndScreen();

	virtual void Update(float dt);
	virtual void Render();
	
	virtual void ReceiveMessage(Message *m);

	virtual void PreDestroy();
	
	virtual void SetAlpha(float newAlpha);
	virtual void ChangeAlphaTo(const float newAlpha, float duration, bool smooth=false, String onCompletionMessage="");

private:
	static const float BIG_FONT_WIDTH;
	static const float SMALL_FONT_WIDTH;

	static const String SUCCESS_STRING;
	static const String FAIL_STRING;
	static const String REPLICATIONS_STRING;
	static const String UPGRADES_STRING;
	static const String KILLED_MACROPHAGES_STRING;
	static const String KILLED_CELLS_STRING;
	static const String TIME_SURVIVED_STRING;

	CellWarsMTManager *useThisMultiTouchTManager;
	ExitButton *exitButt;
	ReStartButton *restartButt;
	TextActor *messageText, 
		*replicationsText, *replicationsStat,
		*upgradesText, *upgradesStat,
		*killedMacrophagesText, *killedMacrophagesStat,
		*killedCellsText, *killedCellsStat,
		*timeSurvivedText, *timeSurvivedStat;
};